Skip to content

Activity

Activity represents a snapshot of a performed action for a profile.

List Activities for a Profile

Request

List of activities belonging to user profile.

Activities represent snapshots of performed actions and can be filtered by various parameters to narrow down the results.

Security
UserToken or PersonalToken
Path
profileIdinteger, (int64)required

The unique identifier of the profile.

Query
monetaryResourceTypestring

Filter activity by resource type.

Enum:"ACCRUAL_CHARGE""ACQUIRING_PAYMENT""ASSETS_WITHDRAWAL""BALANCE_CASHBACK""BALANCE_INTEREST""BALANCE_TRANSACTION""BANK_DETAILS_ORDER""BATCH_TRANSFER""CARD_CASHBACK""CARD_ORDER"
Example:monetaryResourceType=TRANSFER
statusstring

Filter by activity status.

Enum:"REQUIRES_ATTENTION""IN_PROGRESS""UPCOMING""COMPLETED""CANCELLED"
Example:status=IN_PROGRESS
sincestring, (date-time)

Filter activity list after a certain timestamp. Use ISO 8601 format.

Example:since=2025-03-10T11:56:30.376Z
untilstring, (date-time)

Filter activity list until a certain timestamp. Use ISO 8601 format.

Example:until=2025-03-30T23:59:59.999Z
nextCursorstring

Pagination cursor returned from a previous response. Use the cursor value from the response to fetch the next page of activities.

Example:nextCursor=
sizeinteger, [ 1 .. 100 ]

Desired size of query. Min 1, max 100, and default value is 10 if not specified.

Default:10
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v1/profiles/{profileId}/activities?monetaryResourceType=TRANSFER&status=IN_PROGRESS&since=2025-03-10T11%3A56%3A30.376Z&until=2025-03-30T23%3A59%3A59.999Z&nextCursor=&size=10' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

OK - Successfully retrieved activities.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
cursorstring or null

Pagination cursor. Pass this value as the nextCursor query parameter to fetch the next page of results. Returns null when there are no more pages.

activitiesArray of objects

Array of activity objects.

Response
{ "cursor": "WyJQUklPUklUWSIsMTAwMDAxNjY5NzA4MjI0MDAwMDE2MDk5OV0=", "activities": [ { "id": "TU9ORVRBUllfQUNUSVZJVFk6OjE0NTU4OTk4OjpDQVJEX1RSQU5TQUNUSU9OOjozNDMwNDk=", "type": "CARD_PAYMENT", "resource": {}, "title": "<strong>Test Payment</strong>", "description": "", "primaryAmount": "150 JPY", "secondaryAmount": "1.50 SGD", "status": "COMPLETED", "createdOn": "2023-01-01T00:00:00.000Z", "updatedOn": "2023-01-01T00:00:00.000Z" } ] }